Unable to commit date changes to MSSQL table in 2.8.1 Wien

2015-03-25 10:49 PM - Michael Hakkennes

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20616

Description

Have entered a date as an attribute in "yyyy-mm-dd" format which is accepted in the feature attributes window but when saving layer edits

back to MSSQL table the error message, "Could not commit changes to layer" appears.

I am able to save date edits to the same MSSQL table in version 2.6.1.

Associated revisions

Revision 018cdd25 - 2015-06-08 11:33 PM - Jürgen Fischer

mssql provider: improve datetime support (fixes #12461)

Revision 447825bd - 2015-06-29 06:48 PM - Jürgen Fischer

mssql provider: improve datetime support (fixes #12461)

(cherry-picked from 018cdd25)

History

#1 - 2015-03-26 02:06 AM - Giovanni Manghi

- Status changed from Open to Feedback

is the date entered manually or with an edit widget? it makes any difference using the widget or not?

#2 - 2015-03-26 09:08 PM - Michael Hakkennes

When a field is set to a "Text edit" edit widget a date is able to be typed in, but changes do not commit to MSSQL. In previous versions (2.6.1) it was

possible to type in a date in a text edit widget and save changes.

When a field is set to a "Date/Time" edit widget a date is able to be selected and changes are able to be saved to MSSQL.  However if null values are

allowed, I am unable to start typing in a date, first a date must be selected and then typed to override the date.

#3 - 2015-03-27 06:05 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression
don't know much about date in ms sql server, anyway I'll tag this as a regression at least until someone that knows better qgis support for mssql can jump

in.

#4 - 2015-05-10 01:27 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2015-06-08 02:38 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"018cdd25da8d826ad6eddea77f6605330e94d902".
